Loading...
Searching...
No Matches
debugger.h File Reference
Base API

Debugger related definitions. More...

`#include <l4/sys/compiler.h>`
`#include <l4/sys/utcb.h>`
`#include <l4/sys/ipc.h>`
`#include <l4/sys/kernel_object.h>`
Include dependency graph for debugger.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Functions

l4_msgtag_t | l4_debugger_set_object_name (l4_cap_idx_t cap, const char *name) L4_NOTHROW
| Set the name of a kernel object.
l4_msgtag_t | l4_debugger_get_object_name (l4_cap_idx_t cap, unsigned id, char *name, unsigned size) L4_NOTHROW
| Get name of the kernel object with Id id.
unsigned long | l4_debugger_global_id (l4_cap_idx_t cap) L4_NOTHROW
| Get the globally unique ID of the object behind a capability.
unsigned long | l4_debugger_kobj_to_id (l4_cap_idx_t cap, l4_addr_t kobjp) L4_NOTHROW
| Get the globally unique ID of the object behind the kobject pointer.
long | l4_debugger_query_log_typeid (l4_cap_idx_t cap, const char *name, unsigned idx) L4_NOTHROW
| Query the log-id for a log type.
long | l4_debugger_query_log_name (l4_cap_idx_t cap, unsigned idx, char *name, unsigned namelen, char *shortname, unsigned shortnamelen) L4_NOTHROW
| Query the name of a log type given the ID.
l4_msgtag_t | l4_debugger_switch_log (l4_cap_idx_t cap, const char *name, int on_off) L4_NOTHROW
| Set or unset log.
l4_msgtag_t | l4_debugger_add_image_info (l4_cap_idx_t cap, l4_addr_t base, const char *name) L4_NOTHROW
| Add loaded image information for a task.

## Detailed Description

Debugger related definitions.

Definition in file debugger.h.